Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxNpeA_RxAtmVc Struct Reference [IXP425 NPE-A (IxNpeA) API] Rx Descriptor definition. More...
## Data Fields
UINT32 | rxBitField
| Recieved bit field.
UINT32 | atmCellHeader
| ATM Cell Header.
UINT32 | rsvdWord0
| Reserved field.
UINT16 | currMbufLen
| Mbuf Length.
UINT8 | timeLimit
| Payload Reassembly timeLimit (used for aal0_xx only).
UINT8 | rsvdByte0
| Reserved field.
UINT32 | rsvdWord1
| Reserved field.
IX_MBUF * | pCurrMbuf
| Pointer to current mbuf.
unsigned char * | pCurrMbufData
| Pointer to current mbuf->data.
IX_MBUF * | pNextMbuf
| Pointer to next mbuf.
UINT32 | totalLen
| Total Length.
UINT32 | aal5CrcResidue
| AAL5 CRC Residue.
## Detailed Description Rx Descriptor definition. Definition at line 1039 of file IxNpeA.h. ## Field Documentation
UINT32 IxNpeA_RxAtmVc::aal5CrcResidue
| AAL5 CRC Residue. Definition at line 1052 of file IxNpeA.h.
UINT32 IxNpeA_RxAtmVc::atmCellHeader
| ATM Cell Header. Definition at line 1042 of file IxNpeA.h.
UINT16 IxNpeA_RxAtmVc::currMbufLen
| Mbuf Length. Definition at line 1044 of file IxNpeA.h.
IX_MBUF* IxNpeA_RxAtmVc::pCurrMbuf
| Pointer to current mbuf. Definition at line 1048 of file IxNpeA.h.
unsigned char* IxNpeA_RxAtmVc::pCurrMbufData
| Pointer to current mbuf->data. Definition at line 1049 of file IxNpeA.h.
IX_MBUF* IxNpeA_RxAtmVc::pNextMbuf
| Pointer to next mbuf. Definition at line 1050 of file IxNpeA.h.
UINT8 IxNpeA_RxAtmVc::rsvdByte0
| Reserved field. Definition at line 1046 of file IxNpeA.h.
UINT32 IxNpeA_RxAtmVc::rsvdWord0
| Reserved field. Definition at line 1043 of file IxNpeA.h.
UINT32 IxNpeA_RxAtmVc::rsvdWord1
| Reserved field. Definition at line 1047 of file IxNpeA.h.
UINT32 IxNpeA_RxAtmVc::rxBitField
| Recieved bit field. Definition at line 1041 of file IxNpeA.h.
UINT8 IxNpeA_RxAtmVc::timeLimit
| Payload Reassembly timeLimit (used for aal0_xx only). Definition at line 1045 of file IxNpeA.h.
UINT32 IxNpeA_RxAtmVc::totalLen
| Total Length. Definition at line 1051 of file IxNpeA.h.
The documentation for this struct was generated from the following file: IxNpeA.h
Automatically generated from sources. © Intel Corp. 2003